--Debugging stuff--
ScriptErrors:SetWidth(600);
ScriptErrors_Message:SetWidth(580);
ScriptErrors:SetPoint("BOTTOM", "UIParent", "BOTTOM", 0, 100);
ScriptErrors:SetPoint("TOP", "UIParent", "BOTTOM", 0, 220);


---***Correct Blizzard 1.7 patch bug***---
if (ITEM_QUALITY6_TOOLTIP_COLOR == nil) then
	ITEM_QUALITY6_TOOLTIP_COLOR = { r = 1.0, g = 0.5, b = 0 };
end
---*****************************---

-- ***BHALDIEINFOBAR INFORMATION*** ---
BHALDIEINFOBAR_TITLE			= "BhaldieInfoBar";
BHALDIEINFOBAR_VERSION			= "1.12.0";
BHALDIEINFOBAR_DESCRIPTION		= "Displays information about different aspects of the game.";
BHALDIEINFOBAR_LOADED			= "|cffffff00" .. BHALDIEINFOBAR_TITLE .. " v" .. BHALDIEINFOBAR_VERSION .. " loaded";

-- Global  variables and tables
BHINFOBAR_CONFIG				= {};
TEMP_PLUGIN_TABLE				= {};
BM_Plugin_CheckButtons			= {};
BM_PLUGIN_OFFSET_Y			= {};
BM_INFO_HEIGHT_OFFSET		= {};
BM_PLUGIN_OFFSET_Y			= {
								[1] = 32,
								[2] = 42,
								[3] = 62,
								[4] = 82,
								[5] = 102,
								[6] = 122,
};

BM_INFO_HEIGHT_OFFSET			= {
								[1] = 11,
								[2] = 21,
								[3] = 41,
								[4] = 61,
								[5] = 81,
								[6] = 101,
};
TITAN_NIL						= false;
PLUG_IN_COUNT					= 1;
BHALDIEINFOBAR_DELAY			= 1.0;
BHALDIEINFOBAR_REFRESH			= 0.0;
UI_PARENT_SCALE				= 0;
UI_PARENT_WIDTH				= 0;
BG_WIDTH						= 0;
BM_REFRESH_NOW				= 0;
BM_TOTAL_PLUGIN_WIDTH			= 0;
BM_X_SPACER_TEXT				= 70;
BM_Y_SPACER_TEXT				= -10;
BM_Y_SPACER_CHANGED		= 0;
PLUG_IN_OFFSET					= 0;
BM_INFO_XPBAR_OFFSET			= 0;
BM_PLUGINVARS					= "PluginsVars";
BM_PLAYERNAME_REALM			= "";
BM_IMAGE_PATH					= "Interface\\Addons\\BhaldieInfobar\\Images\\";
BM_UNIT_BUFF_FRAMES_Y			= -60;
BM_PARTY_FRAME_Y				= -163;
BM_TOOLTIP_ANCHOR				= "TOP";
--BM_TOOLTIP_ANCHOR			= "TOPLEFT";
BM_TOOLTIP_RIGHTLEFT			= "LEFT";
--BM_TOOLTIP_RELPOINT			= "BOTTOMLEFT";
BM_TOOLTIP_RELPOINT			= "BOTTOM";
DEFAULT_INFO_BAR_HEIGHT		= 64;
DEFAULT_BM_PLUGIN_Y			= 10;
BM_TOTAL_TIME					= 0;
BM_TOTAL_TIME_FOR_LEVEL		= 0;
BM_MAX_ROW_COUNT				= 1;
BM_BG_WIDTH						= 0;
BM_DAYS						= "d";
BM_HOURS						= "h";
BM_MINUTES						= "m";
BM_SECONDS					= "s";

-- Info Options
DEFAULT_BM_INFO_ALPHA			= 1;
DEFAULT_BM_XP_INFO_FRAME		= false;
DEFAULT_BM_INFO_ENABLE		= true;
DEFAULT_BM_XPBAR_SCALE		= 0;
DEFAULT_BM_PLUGIN_XSCALE		= 0;
DEFAULT_BM_PLUGIN_FONTSIZE	= 12;
DEFAULT_PLUGIN_ENABLE			= true;
DEFAULT_BM_INFOBAR_INVERT		= false;
DEFAULT_BM_INFOBAR_HIDEXP		= true;
BM_INFO_ENABLE					= true;
BIB_IN_AUTOHIDE					= false;
BIB_VOLUME_OPEN					= false;
BM_UIMENU_OPEN					= false;
BM_FONTTYPE						= "Font Type"
BM_SAVEPROFILE					= "Save Profile";
BM_LOADPROFILE					= "Load Profile";
BM_DELETEPROFILE				= "Delete Profile";
BM_SELECTPROFILE				= "Select Profile";
BM_RESETINFOBAR				= "Reset Infobar";
BM_INFO_BAR_ENABLE			= "Info Bar Enable/Disable";
BM_INFO_ALPHASLIDER			= "Info Bar Alpha Slider";
BM_XP_INFO_ENABLE				= "XP Bar Always Show Text";
BM_INFO_XPBAR_SCALE			= "Resize Background";
BM_PLUGIN_FONTSIZE				= "Font Size";
BM_INFOBAR_INVERT				= "Invert Infobar";
BM_PLUGIN_XSPACER				= "+/- Plugin Spacing (Width)";
BM_PLUGIN_YSPACER				= "+/- Plugin Spacing (Height)";
BM_INFOBAR_HIDEXP				= "Show/Hide XP Bar";
BM_INFOBAR_HIDELOGO			= "Show/Hide Logo";
BM_CENTER_PLUGINS				= "Center/Justify Left Plugins";
BM_SHOW_ICON					= "Show Icon";
BM_SHOW_LABEL					= "Show Label";
BM_SHOW_COLORED_TEXT		= "Show Colored Text";
BM_AUTO_HIDE					= "Off/On Autohide";
BIB_MUTE							= "Mute";
BM_SHOW_REPBAR				= "Toogle XP Bar and Reputation Bar";
BM_REP_TOOLTIP_TITLE			= "Reputation Bar Hint";
BM_REP_TOOLTIP_TEXT			= "You must select a faction to monitor in the\nReputation tab of the character frame\nin order to see your repuation in the bar.";

-- Font Colors
BM_WHITE						= HIGHLIGHT_FONT_COLOR_CODE;
BM_RED							= RED_FONT_COLOR_CODE;
BM_GREEN						= GREEN_FONT_COLOR_CODE;
BM_YELLOW						= NORMAL_FONT_COLOR_CODE;
BM_GRAY						= GRAY_FONT_COLOR_CODE;
BM_FONT_OFF					= FONT_COLOR_CODE_CLOSE;

-- Strings
CURRENT_XP_TEXT_WHITE			= HIGHLIGHT_FONT_COLOR_CODE .. "Current XP: %d" .. FONT_COLOR_CODE_CLOSE;
MAX_XP_TEXT_WHITE					= HIGHLIGHT_FONT_COLOR_CODE .. "XP To Level: %d" .. FONT_COLOR_CODE_CLOSE;
REST_XP_TEXT_WHITE				= HIGHLIGHT_FONT_COLOR_CODE .. "Rested XP: %d" .. FONT_COLOR_CODE_CLOSE;
XP_TEXT_YELLOW					= NORMAL_FONT_COLOR_CODE .. "XP: %d / %d                Rested Bonus: %d" .. FONT_COLOR_CODE_CLOSE;
XP_TEXT_WHITE						= HIGHLIGHT_FONT_COLOR_CODE .. "XP: %d / %d                Rested Bonus: %d" .. FONT_COLOR_CODE_CLOSE;
BM_INFO_BAR_REST					= "Resting The Infobar";
BM_RESET_ALL_TEXT					= "Do you really want to reset all settings?";
BHALDIE_LOGO_TOOLTIP_TITLE		= BHALDIEINFOBAR_TITLE .. " v" .. BHALDIEINFOBAR_VERSION;
BHALDIE_LOGO_TOOLTIP_TEXT			= BM_GREEN .. "Left Click: " .. BM_FONT_OFF .. "\t" .. BM_WHITE .. "Opens & Closes the UI Menu\n".. 
									   BM_GREEN ..	"Right Click: " .. BM_FONT_OFF .. BM_WHITE .. "Opens & Closes the Volume Menu" .. BM_FONT_OFF;
BM_INFOBAR_REST_TOOLTIP_TITLE		= "Resting Infobar";
BM_INFOBAR_REST_TOOLTIP			= BM_WHITE .. "Pressing this button will reset\nyour characters saved variables\nand erase all saved settings." .. BM_FONT_OFF;
BM_NO_PROFILE						= "Profile Loading Error";
BM_NO_PROFILE_TEXT				= "Profile not loaded.  You do not have the correct plugins to load this profile.";
BM_TOOLTIP_STRING					= "";

-- Volume Variables (This Volume Control Menu orginally called Titan Volume2 was built by PattyPur and was so well done decided to use it)
TITAN_VOLUME2_ID = "Volume2";
TITAN_VOLUME2_FRAME_SHOW_TIME = 0.5;
TITAN_VOLUME2_TOOLTIP = "Volume Control";
	
TITAN_VOLUME2_MASTER_TOOLTIP_VALUE = "Master sound volume: ";
TITAN_VOLUME2_SOUND_TOOLTIP_VALUE = "Effects sound volume: ";
TITAN_VOLUME2_AMBIENCE_TOOLTIP_VALUE = "Ambience sound volume: ";
TITAN_VOLUME2_MUSIC_TOOLTIP_VALUE = "Music sound volume: ";


TITAN_VOLUME2_TOOLTIP_HINT1 = "Hint: Left-click to adjust the"
TITAN_VOLUME2_TOOLTIP_HINT2 = "sound volume.";

TITAN_VOLUME2_CONTROL_TOOLTIP = "Volume: ";
TITAN_VOLUME2_CONTROL_TITLE = "Volume";
TITAN_VOLUME2_MASTER_CONTROL_TITLE = "Master";
TITAN_VOLUME2_SOUND_CONTROL_TITLE = "Effects";
TITAN_VOLUME2_AMBIENCE_CONTROL_TITLE = "Ambience";
TITAN_VOLUME2_MUSIC_CONTROL_TITLE = "Music";

TITAN_VOLUME2_CONTROL_HIGH = "High";
TITAN_VOLUME2_CONTROL_LOW = "Low";
TITAN_VOLUME2_MENU_TEXT = "Volumeadjust";

-- Custom Font List
BIB_FONTS = {};
BIB_FONTS[0] = {name = "Default", code="BIB_Default", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\framd.ttf"};
BIB_FONTS[1] = {name = "Adventure", code="Adventure", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Adventure.ttf"};
BIB_FONTS[2] = {name = "Antique Olive Bold", code="Olive", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Antique_Olive_Bold.ttf"};
BIB_FONTS[3] = {name = "Daville", code="Daville", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Daville.ttf"};
BIB_FONTS[4] = {name = "Dream ORB", code="ORB", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\dreamorb.ttf"};
BIB_FONTS[5] = {name = "Univers Condensed Bold", code="Univers", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Univers_Condensed_Bold.ttf"};
BIB_FONTS[6] = {name = "WoW Font 1", code="WOW1", font_type = "Fonts\\FRIZQT__.TTF"};
BIB_FONTS[7] = {name = "WoW Font 2", code="WOW2", font_type = "Fonts\\ARIALN.TTF"};
BIB_FONTS[8] = {name = "WoW Font 3", code="WOW3", font_type = "Fonts\\skurri.ttf"};
BIB_FONTS[9] = {name = "WoW Font 4", code="WOW4", font_type = "Fonts\\MORPHEUS.TTF"};

--BIB_FONTS[8] = {name = "Dum 1", font_type = "dum1.ttf"};
--BIB_FONTS[9] = {name = "Dum 1 Italic", font_type = "dum1ital.ttf"};
--BIB_FONTS[10] = {name = "Dum 1 Thin", font_type = "dum1thin.ttf"};
--BIB_FONTS[7] = {name = "Dum 1 Wide", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\dum1wide.ttf"};
--BIB_FONTS[8] = {name = "Enigma 2 Italic", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Enigma_2i.TTF"};
--BIB_FONTS[9] = {name = "Enigma 2", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Enigma__2.TTF"};
--BIB_FONTS[10] = {name = "Frutiger Cnd Bold", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\FrutigerCnd_Bold.ttf"};
--BIB_FONTS[11] = {name = "FTB", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\FTB_____.TTF"};
--BIB_FONTS[16] = {name = "FTB Italic", font_type = "FTBI____.TTF"};
--BIB_FONTS[12] = {name = "FTBL", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\FTBL____.TTF"};
--BIB_FONTS[13] = {name = "FTUBL", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\FTUBL___.TTF"};
--BIB_FONTS[14] = {name = "LANTIQOB", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\LANTIQOB.TTF"};
--BIB_FONTS[15] = {name = "LANTIQOT", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\LANTIQOT.TTF"};
--BIB_FONTS[16] = {name = "Myriad Web Bold", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\myriad_web_bold.ttf"};
--BIB_FONTS[22] = {name = "Myriad Web Fett", font_type = "myriad_web_fett.ttf"};
--BIB_FONTS[23] = {name = "SF Archery Black Oblique", font_type = "SF Archery Black Oblique.ttf"};
--BIB_FONTS[24] = {name = "SF Archery Black", font_type = "SF Archery Black.ttf"};
--BIB_FONTS[25] = {name = "Street Corner Bold", font_type = "Street Corner Bold.ttf"};
--BIB_FONTS[17] = {name = "Street Corner Extend", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Street Corner Extend.ttf"};
--BIB_FONTS[27] = {name = "Street Corner Oblique", font_type = "Street Corner Oblique.ttf"};
--BIB_FONTS[28] = {name = "Street Corner SemiBold", font_type = "Street Corner SemiBold.ttf"};
--BIB_FONTS[29] = {name = "Street Corner Thin", font_type = "Street Corner Thin.ttf"};
--BIB_FONTS[30] = {name = "Tw Cen MT", font_type = "Tw_Cen_MT.ttf"};
--BIB_FONTS[31] = {name = "Tw Cen MT Bold", font_type = "Tw_Cen_MT_Bold.TTF"};
--BIB_FONTS[31] = {name = "Tw Cen MT Bold Italic", font_type = "Tw_Cen_MT_Bold_Italic.ttf"};
--BIB_FONTS[31] = {name = "Univers Bold", font_type = "Univers_Bold.ttf"};
--BIB_FONTS[18] = {name = "Univers Bold Italic", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Univers_Bold_Italic.ttf"};
--BIB_FONTS[31] = {name = "X360", font_type = "X360.ttf"};
--BIB_FONTS[2] = {name = "Angies New House", font_type = "Angies New House.ttf"};
--BIB_FONTS[3] = {name = "Daville Slanted", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\Daville Slanted.ttf"};
--BIB_FONTS[5] = {name = "Dream OBX", font_type = "Interface\\AddOns\\BhaldieInfoBar\\fonts\\dreamobx.ttf"};

-- Ammo Variables
BIB_AMMO_ICON_SIZE					= 16;
BAG_STATUS_KEYWORD				= "Throw";
BAG_STATUS_LABEL_AMMO				= "Ammo: ";
BAG_STATUS_LABEL_THROWN			= "Throwing: ";
BAG_STATUS_LABEL_AMMO_THROWN		= "Ammo/Throwing: ";
BAG_STATUS_FORMAT_GREEN			= BM_GREEN .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_YELLOW			= BM_YELLOW .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_RED				= BM_RED .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_WHITE			= BM_WHITE .. "%d" .. BM_FONT_OFF;

-- Bag Status Variables
BM_IS_AMMO_BAG					= {};
--Ammo bags
BM_IS_AMMO_BAG[0]					= "Small Ammo Pouch";
BM_IS_AMMO_BAG[1]					= "Small Leather Ammo Pouch";
BM_IS_AMMO_BAG[2]					= "Heavy Leather Ammo Pouch";
BM_IS_AMMO_BAG[3]					= "Thick Leather Ammo Pouch";
BM_IS_AMMO_BAG[3]					= "Thick Leather Ammo Pouch";
BM_IS_AMMO_BAG[5]					= "Small Shot Pouch";
BM_IS_AMMO_BAG[6]					= "Hunting Ammo Sack";
BM_IS_AMMO_BAG[7]					= "Bandolier of the Night Watch";
BM_IS_AMMO_BAG[8]					= "Ribbly's Bandolier";
BM_IS_AMMO_BAG[9]					= "Gnoll Skin Bandolier";
--Quivers
BM_IS_AMMO_BAG[10]				= "Small Quiver";
BM_IS_AMMO_BAG[11]				= "Medium Quiver";
BM_IS_AMMO_BAG[12]				= "Light Quiver";
BM_IS_AMMO_BAG[13]				= "Light Leather Quiver";
BM_IS_AMMO_BAG[14]				= "Hunting Quiver";
BM_IS_AMMO_BAG[15]				= "Ribbly's Quiver";
BM_IS_AMMO_BAG[16]				= "Quiver of the Night Watch";
BM_IS_AMMO_BAG[17]				= "Quickdraw Quiver";
BM_IS_AMMO_BAG[18]				= "Heavy Quiver";
BM_IS_AMMO_BAG[19]				= "Ribbly's Quiver";
BM_IS_AMMO_BAG[20]				= "Harpy Hide Quiver";
BM_IS_AMMO_BAG[21]				= "Ancient Sinew Wrapped Lamina";
--Soul Shard Bags
BM_IS_AMMO_BAG[22]				= "Soul Pouch";
BM_IS_AMMO_BAG[23]				= "Felcloth Bag";
BM_IS_AMMO_BAG[24]				= "Core Felcloth Bag";
--Enchanting Bags
BM_IS_AMMO_BAG[25]				= "Enchanted Mageweave Pouch";
BM_IS_AMMO_BAG[26]				= "Enchanted Runecloth Bag";
BM_IS_AMMO_BAG[27]				= "Big Bag of Enchantment";
--Herb Bags
BM_IS_AMMO_BAG[28]				= "Herb Pouch";
BM_IS_AMMO_BAG[29]				= "Cenarion Herb Bag";
BM_IS_AMMO_BAG[30]				= "Satchel of Cenarius";

BM_TOTAL_BAGS = 0;
BM_COUNT_USED_SLOTS				= 0;
BM_STATUS_BAR_COLOR				= 0;
BM_TOTAL_SLOTS_BAG				= 0;
BM_SLOTS_BAG						= 0;
BM_BAG_NAME						= "";
BM_BAG_SLOT_COUNT				= 1;
BM_IS_AMMO						= false;
BAG_STATUS_ICON_SIZE				= 18;
BAG_STATUS_DELAY					= 1.0;
BAG_STATUS_REFRESH				= 0.0;
BAG_STATUS_LABEL_BAGS				= "Bags Slots: ";
BM_BAGS_FREE_USED					= "Toggle Used/Free Bag Slots";
BAG_STATUS_FORMAT_GREEN			= BM_GREEN .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_YELLOW			= BM_YELLOW .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_RED				= BM_RED .. "%d" .. BM_FONT_OFF;
BAG_STATUS_FORMAT_WHITE			= BM_WHITE .. "%d" .. BM_FONT_OFF;
BAG_STATUS_TEXT_WHITE				= HIGHLIGHT_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_RED				= RED_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_GREEN				= GREEN_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;
BAG_STATUS_TEXT_YELLOW			= NORMAL_FONT_COLOR_CODE .."%d / %d" .. FONT_COLOR_CODE_CLOSE;

-- Estimated time to level Variables
BM_TIME_TOTAL					= 0;
BM_XP_TOTAL					= 0;
BM_XP_GAIN						= 0;
BM_XP_START					= 0;
BM_XP_CURRENT					= 0;
BM_XP_MAX						= 0;
BM_XP_PER_HOUR				= 0;
BM_EST_TO_LEVEL				= 0;
BM_EST_PLAYER_INFO			= "";
BM_EST_DELAY					= 1.0;
BM_EST_REFRESH					= 0.0;
BM_EST_PLAYER_INFO			= "";
BM_XP_TO_LEVEL					= 0;
BIB_TOTALXP_SESSION			= 0;
BM_EST_SEC						= "Second";
BM_EST_SECS					= "Seconds";
BM_EST_MIN						= "Minute";
BM_EST_MINS					= "Minutes";
BM_EST_HOUR					= "Hour";
BM_EST_HOURS					= "Hours";
BM_EST_DAY						= "Day";
BM_EST_DAYS					= "Days";
BM_EST_ICON_SIZE				= 18;
BM_EST_LABEL					= "Level Up: ";
ESTIMATED_TEXT_WHITE			= "%.1f %s";
NO_ESTIMATED_TEXT_WHITE		= "%s";
BIB_EST_TOOLTIP_TITLE				= "XP Info";
BIB_EST_TOOLTIP_MAX_XP			= "Total XP required to level: ";
BIB_EST_TOOLTIP_XP_GAINED			= "XP gained this level: ";
BIB_EST_TOOLTIP_XP_NEEDED			= "XP needed to level: ";
BIB_EST_TOOLTIP_XP_GAIN_SESSION	= "XP gained this session: ";
BIB_EST_TOOLTIP_RESTED_XP			= "Rested XP: ";
BIB_EST_TOOLTIP_XPPERHOUR			= "XP/Hour: ";
BIB_EST_TOOLTIP_TEXT				= "";
BIB_EST_FORMAT1					= "%d";
BIB_EST_FORMAT2					= "%.1f%%";

-- Honor Variables
BM_HONOR_LABEL			= "Honor: ";
BM_HONOR_TEXT			= BM_WHITE .. "%d : " .. BM_GREEN .. "%d " .. BM_FONT_OFF .. BM_WHITE .. ":"  .. BM_FONT_OFF .. RED_FONT_COLOR_CODE .. " %d" .. BM_FONT_OFF;
BM_HONOR_TOOLTIP_TITLE	= BM_GREEN .. "Honor Info" .. BM_FONT_OFF;
BM_HONOR_TOOLTIP_TEXT		= "";
BM_HONOR_ICON_SIZE		= 18;
BM_HONOR_DELAY			= 0.5;
BM_HONOR_REFRESH			= 0.0;


-- MiniDPS Variables
BM_MINIDPS_DELAY				= 0.5;
BM_MINIDPS_REFRESH				= 0.0;
BM_MINIDPS_ICON_SIZE			= 16;
IB_MiniDPS_TOOLTIP_TITLE		= BM_GREEN .. "DPS Info" .. BM_FONT_OFF;
BM_MINIDPS_LABEL				= "DPS: ";
IB_MiniDPS_TEXT					= HIGHLIGHT_FONT_COLOR_CODE  .. "\t(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE;
IB_MiniDPS_TOOLTIP_NP_TEXT	=  HIGHLIGHT_FONT_COLOR_CODE  .. "Current Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"DPS (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"Maxium Hit (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n\n" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "Session Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"DPS (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"Maxium Hit (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE;

IB_MiniDPS_TOOLTIP_P_TEXT	=  HIGHLIGHT_FONT_COLOR_CODE  .. "Your Current Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"DPS (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%.1f" ..  FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"Maxium Hit (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%d" ..  FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n\n" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "Pet Current Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"DPS (dealt): \t" ..
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. "\n\n" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "Your Session Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"Your DPS (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%.1f" ..  FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"Your Maxium Hit (taken/dealt): \t" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "(" .. FONT_COLOR_CODE_CLOSE .. 
									RED_FONT_COLOR_CODE .. "%d" ..  FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. "/" .. FONT_COLOR_CODE_CLOSE .. 
									GREEN_FONT_COLOR_CODE .."%d" .. FONT_COLOR_CODE_CLOSE .. 
									HIGHLIGHT_FONT_COLOR_CODE  .. ")" .. FONT_COLOR_CODE_CLOSE .. "\n\n" ..
									HIGHLIGHT_FONT_COLOR_CODE  .. "Pet Session Stats" .. FONT_COLOR_CODE_CLOSE .. "\n" ..
									"DPS (dealt): \t" ..
									GREEN_FONT_COLOR_CODE .."%.1f" .. FONT_COLOR_CODE_CLOSE;

-- Money Variables
BM_MONEY_DELAY				= 0.5;
BM_MONEY_REFRESH				= 0.0;
BM_MONEY_ICON_SIZE			= 13;
BM_MONEY_TYPE					= "PLAYER";
BM_MONEY_GOLDWIDTH			= 0;
BIB_MONEY_GOLD					= "g";
BIB_MONEY_SILVER				= "s";
BIB_MONEY_COPPER				= "c";
BIB_MONEY_FORMAT				= "%d"..BIB_MONEY_GOLD..", %d"..BIB_MONEY_SILVER..", %d"..BIB_MONEY_COPPER;
BIB_MONEY_TOOLTIP_CURRENT		= "Current: "; 
BIB_MONEY_TOOLTIP_INITIAL		= "Initial: "; 
BIB_MONEY_TOOLTIP_LOST		= "Lost: ";
BIB_MONEY_TOOLTIP_EARNED		= "Earned: ";
BIB_MONEY_TOOLTIP_HINTS		= "Hint: Left-click to pick up money.";
BIB_MONEY_TOOLTIP_TITLE		= "Money Info";

-- MoneySpeed Variables
MONKEYSPEED_TITLE					= "MonkeySpeed";
MONKEYSPEED_VERSION				= "1.7.1";
MONKEYSPEED_TITLE_VERSION			= MONKEYSPEED_TITLE .. " v" .. MONKEYSPEED_VERSION;
MONKEYSPEED_DESCRIPTION			= "Displays your speed as a percentage of run speed.";
MONKEYSPEED_LOADED				= "|cffffff00" .. MONKEYSPEED_TITLE .. " v" .. MONKEYSPEED_VERSION .. " loaded";
BM_MONKEY_ICON_SIZE					= 16;
BM_SPEED_DELAY						= 0.5;
BM_SPEED_REFRESH					= 0.0;
BM_SPEED_LABEL						= "Speed: ";
MONKEYSPEED_TEXT_WHITE			= HIGHLIGHT_FONT_COLOR_CODE .."%d%%" .. FONT_COLOR_CODE_CLOSE;
MONKEYSPEED_TEXT_RED				= RED_FONT_COLOR_CODE .."%d%%" .. FONT_COLOR_CODE_CLOSE;
MONKEYSPEED_TEXT_GREEN			= GREEN_FONT_COLOR_CODE .."%d%%" .. FONT_COLOR_CODE_CLOSE;
MONKEYSPEED_TEXT_YELLOW			= NORMAL_FONT_COLOR_CODE .."%d%%" .. FONT_COLOR_CODE_CLOSE;
MONKEYSPEED_CALIBRATE				= "Recalibrate Monkey Speed";
MONKEYSPEED_CALIBRATE_TOOLTIP	= "Must be running at 100% to recalibrate";
MONKEYSPEED_CONFIRM_RESET		= "Okay to reset " .. MONKEYSPEED_TITLE .. " settings to default values?";

-- Location Variables
BM_LOCATION_LABEL					= "Pos: ";
POSITION_TEXT_CHAT					= "%s (%.1f, %.1f)";
POSITION_TEXT_WHITE_1D			= HIGHLIGHT_FONT_COLOR_CODE .."%s (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_RED_1D				= RED_FONT_COLOR_CODE .."%s (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_GREEN_1D			= GREEN_FONT_COLOR_CODE .."%s (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_YELLOW_1D			= NORMAL_FONT_COLOR_CODE .."%s (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_WHITE_0D			= HIGHLIGHT_FONT_COLOR_CODE .."%s (%d, %d)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_RED_0D				= RED_FONT_COLOR_CODE .."%s (%d, %d)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_GREEN_0D			= GREEN_FONT_COLOR_CODE .."%s (%d, %d)" .. FONT_COLOR_CODE_CLOSE;
POSITION_TEXT_YELLOW_0D			= NORMAL_FONT_COLOR_CODE .."%s (%d, %d)" .. FONT_COLOR_CODE_CLOSE;
MAP_CURSOR_POSITION_TEXT		= NORMAL_FONT_COLOR_CODE .. "Cursor Location: (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
MAP_PLAYER_POSITION_TEXT		= NORMAL_FONT_COLOR_CODE .. "Player Location: (%.1f, %.1f)" .. FONT_COLOR_CODE_CLOSE;
BM_LOCATION_ICON_SIZE				= 16;
BM_LOCATION_DELAY					= 0.5;
BM_LOCATION_REFRESH				= 0.0;
BM_LOCATION_ZONE_TEXT			= "Zone: ";
BM_LOCATION_ZONETYPE_TEXT		= "Zone Type: ";
BM_LOCATION_FACTION_TEXT			= "PvP Status: ";
BM_LOCATION_TOOLTIP_TITLE			= BM_GREEN .. "Position Info" .. BM_FONT_OFF;
BM_POSITION_TOOLTIP_TEXT			= "";
BM_POSITION_TOOLTIP_HINT			= BM_GREEN .. "Hint: Left-Click to Display Position in Chat" .. BM_FONT_OFF;
BM_TURN_OFF_POS_MAP				= "Turn off Position Text on Map";
BM_LOC_NO_DECIMAL					= "No Decimal Place";
BM_LOC_SHOWSUBZONE				= "Toogle Subzone to Button";

-- System Variables
BM_SYSTEM_ON_BUTTON		= false;
BM_SYSTEM_TOOLTIP_TITLE	= BM_GREEN .. "Sytem Info" .. BM_FONT_OFF;
BM_SYSTEM_FIRST_RUN		= true;
BM_SYSTEM_TIME			= 0;
BMSYSTEM_HIDE_FPS		= "Hide FPS";
BMSYSTEM__HIDE_MEMORY	= "Hide Memory";

-- ***LATENCY VARIABLES*** --
BM_LATENCY_TOOLTIP_TITLE	= BM_WHITE .. "Latency" .. BM_FONT_OFF;
BM_LATENCY					= 0;
BM_BANDWIDTH_IN			= 0;
BM_BANDWIDTH_OUT			= 0;
LATENCY_TEXT_RED			= RED_FONT_COLOR_CODE.."%dms"..FONT_COLOR_CODE_CLOSE;
LATENCY_TEXT_GREEN		= GREEN_FONT_COLOR_CODE.."%dms"..FONT_COLOR_CODE_CLOSE;
LATENCY_TEXT_YELLOW		= NORMAL_FONT_COLOR_CODE.."%dms"..FONT_COLOR_CODE_CLOSE;
LATENCY_TEXT_GRAY			= GRAY_FONT_COLOR_CODE.."%dms"..FONT_COLOR_CODE_CLOSE;
BM_LATENCY_TOOLTIPTEXT	= "Latency:";
BM_BANDIN_TOOLTIPTEXT		= "Bandwidth In:";
BM_BANDOUT_TOOLTIPTEXT	= "Bandwidth Out:";
-- ***FPS*** --
BM_FPS_TOOLTIP_TITLE		= BM_WHITE .. "FPS" .. BM_FONT_OFF;
BM_FRAMERATE				= 0;
BM_FRAME_COUNTER			= 0;
BM_MINFPS				= 0;
BM_MAXFPS				= 0;
BM_AVGFPS				= 0;
BM_FPS_TOOLTIPTEXT		= "Current FPS:";
BM_MINFPS_TOOLTIPTEXT		= "Minimum FPS:";
BM_MAXFPS_TOOLTIPTEXT		= "Maxiumum FPS:";
BM_AVGFPS_TOOLTIPTEXT		= "Average FPS:";
FPS_TEXT_RED				= RED_FONT_COLOR_CODE.."%.1ffps"..FONT_COLOR_CODE_CLOSE;
FPS_TEXT_GREEN				= GREEN_FONT_COLOR_CODE.."%.1ffps"..FONT_COLOR_CODE_CLOSE;
FPS_TEXT_YELLOW			= NORMAL_FONT_COLOR_CODE.."%.1ffps"..FONT_COLOR_CODE_CLOSE;
FPS_TEXT_GRAY				= GRAY_FONT_COLOR_CODE.."%.1ffps"..FONT_COLOR_CODE_CLOSE;
--***MEMORY VARIABLES***--
BM_MEMORY_TOOLTIP_TITLE	= BM_WHITE .. "Memory Usage" .. BM_FONT_OFF;
BM_GC_TOOLTIP_TITLE		= BM_WHITE .. "Garbage Collection" .. BM_FONT_OFF;
BM_SYSTEM_MEMORY			= 0;
BM_SYSTEM_GCT			= 0;
BM_PRE_MEM				= 0;
BM_SYSTEM_INT_MEMORY		= 0;
BM_MEM_INC_RATE			= 0;
BM_TIMETO_GC				= 0;
BM_MEMORY_TEXT			= BM_WHITE .."%.1fmb".. BM_FONT_OFF;
BM_MEM_TOOLTIPTEXT		= "Current Memory:";
BM_INT_MEM_TOOLTIPTEXT	= "Initial Memory:";
BM_MEM_INC_TOOLTIPTEXT	= "Memory Increase Rate:";
BM_GC_TOOLTIPTEXT			= "Garbage Collection:";
BM_GC_TIMETO_TOOLTIPTEXT = "Time to next Collection:";
BM_SYSTEM_DELAY			= 1.0;
BM_SYSTEM_REFRESH			= 0.0;
BM_SYSTEM_ICON_SIZE		= 16;

-- Time Variables
DEFAULT_BM_MINUTE_OFFSET		= 0;
DEFAULT_BM_HOUR_OFFSET		= 0;
BM_TIME_24_MODE				= "24 hour display";
BM_TIME_HOUROFFSET			= "Hour Offset";
BM_TIME_MINUTEOFFSET			= "Minute Offset";
BM_TIME_TOOLTIP_TITLE			=  BM_GREEN .. "Time Info" .. BM_FONT_OFF;
BM_TIME_TOOLTIP_TEXT			= "";
BM_TIME_TOOLTIP_TEXT1			= "Total Time Played:\t" .. BM_WHITE .. "%s" ..  BM_FONT_OFF;
BM_TIME_TOOLTIP_TEXT2			= "Time Played This Level:\t" .. BM_WHITE .. "%s" ..  BM_FONT_OFF;
BM_TIME_TOOLTIP_TEXT3			= "Current Level:\t" .. BM_WHITE .. "%d" ..  BM_FONT_OFF;
BM_TIME_TOOLTIP_TEXT4			= "Average Time Per Level:\t" .. BM_WHITE .. "%s" ..  BM_FONT_OFF;
BM_MINUTE_OFFSET				= 0;
BM_HOUR_OFFSET				= 0;
GAMETIME_DAWN					= ( 5 * 60) + 30;		-- 5:30 AM
GAMETIME_DUSK					= (21 * 60) +  0;		-- 9:00 PM
BM_TIME_ICON_SIZE				= 16;
BM_TIME_DELAY					= 0.5;
BM_TIME_REFRESH				= 0.0;